package com.storlead.sales.mapper.sku;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.storlead.sales.pojo.entity.sku.SsdProduct;
import com.storlead.sales.pojo.entity.sku.SsdProductType;
import com.storlead.sales.pojo.vo.sku.SsdProductVO;

import java.util.List;

public interface SsdProductMapper extends BaseMapper<SsdProduct> {

    long queryProductTotal(SsdProductVO ssdProductVO);

    List<SsdProductVO> queryProductPageList(SsdProductVO ssdProductVO);

    long queryProductCount(SsdProductVO ssdProductVO);

    Integer getSubProductCount(Integer ssdProductTypeId);


}
